<?php
/**
 * ------------------------------------------------------------------------
 * JA BookMark Plugin for J25 & J3x
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2017 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - GNU/GPL, http://www.gnu.org/licenses/gpl.html
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites: http://www.joomlart.com - http://www.joomlancers.com
 * ------------------------------------------------------------------------
 */

// no direct access
defined('_JEXEC') or die('Restricted access');
jimport('joomla.form.formfield');
class JFormFieldJAAddtoany extends JFormField
{
    /*
	 * Category name
	 *
	 * @access	protected
	 * @var		string
	 */
    var $type = 'JAAddtoany';

    function getInput()
    {
		$value = $this->value ? $this->value : (string) $this->element['default'];       
        ob_start();
        require_once(dirname(__FILE__).'/jaaddtoany/layout.html');
        $string = ob_get_contents();
        ob_end_clean();
		
        return $string;
    }
}
?>